## org.biojava.utils.candy
Class CandyEntry

    java.lang.Object
      org.biojava.utils.candy.CandyEntry

public class CandyEntry
extends java.lang.Object

This is a basic container for a vocabulary entry. It consists only of the basic attributes which is sufficient for the vocabularies providing string-type contents.

However, it may still accomodate more complex data types using the `extras` member.

Version:
  $Id: CandyEntry.java,v 1.2 2002/02/14 16:27:56 mrp Exp $
Author:
  Martin Senger

Field Summary
`java.lang.String` `description` A value of this entry.
`java.lang.String` `entry` A unique identifier of this entry.
`java.util.Hashtable` `extras` A container for the additional properties represented by this entry.

Constructor Summary
`CandyEntry()` An empty constructor.
`CandyEntry(java.lang.String entry)` It creates an entry instance with given name and empty value.
`CandyEntry(java.lang.String entry, java.lang.String description)` It creates an entry instance with given name and value.
`CandyEntry(java.lang.String entry, java.lang.String description, java.util.Hashtable extras)` It creates an entry instance with given name, value and additional properties.

Method Summary
`java.lang.String` `toString()` It prints the entry contents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### entry

    public java.lang.String entry

  A unique identifier of this entry.

### description

    public java.lang.String description

  A value of this entry.

### extras

    public java.util.Hashtable extras

  A container for the additional properties represented by this entry.

Constructor Detail

### CandyEntry

    public CandyEntry()

  An empty constructor.

### CandyEntry

    public CandyEntry(java.lang.String entry)

  It creates an entry instance with given name and empty value.

### CandyEntry

    public CandyEntry(java.lang.String entry,
                      java.lang.String description)

  It creates an entry instance with given name and value.

### CandyEntry

    public CandyEntry(java.lang.String entry,
                      java.lang.String description,
                      java.util.Hashtable extras)

  It creates an entry instance with given name, value and additional properties.

Method Detail

### toString

    public java.lang.String toString()

  It prints the entry contents.